echo off

IF "%~6"=="" GOTO help
   
FOR /L %%G IN (%5,1,%6) DO (
  echo %4-%%G
  curl -u %2:%3 %1/rest-service/reviews-v1/%4-%%G/close -X POST -H "Content-Type:application/xml" --data "<?xml version='1.0' encoding='UTF-8' standalone='yes'?><closeReviewSummary><summary>Crucible batch close</summary></closeReviewSummary>"
) 

GOTO end

:help
echo Closes all opened reviews for the specified user in a reviews id range
echo Usage: %0 ^<crucible-url^> ^<username^> ^<password^> ^<review-prefix^> ^<first-review-id^> ^<last-review-id^>
echo Example : %0 http://crucible.mycompany.com:8060 mylogin mypassword MYPROJ 1 1000 

:end